petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSFFindWindow

Finds a window that is already in use

### Synopsis

    #include "petscsf.h"
    static PetscErrorCode PetscSFFindWindow(PetscSF sf,MPI_Datatype unit,const void *array,MPI_Win *win)

Not Collective

### Input Arguments

| sf | - star forest
| unit | - data type
| array | - array with which the window is associated

### Output Arguments

win -window

### See Also

PetscSFGetWindow(), PetscSFRestoreWindow()

### Level

developer

### Location

src/vec/is/sf/impls/window/sfwindow.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages